package net.ferrum.business.service;

import net.ferrum.business.domain.QsBatch;
import net.ferrum.business.domain.vo.QsBatchVo;
import net.ferrum.business.domain.bo.QsBatchBo;
import net.ferrum.common.core.page.TableDataInfo;
import net.ferrum.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 批次管理Service接口
 *
 * @author tiezx
 * @date 2025-07-18
 */
public interface IQsBatchService {

    /**
     * 查询批次管理
     */
    QsBatchVo queryById(Long batchId);

    /**
     * 查询批次管理列表
     */
    TableDataInfo<QsBatchVo> queryPageList(QsBatchBo bo, PageQuery pageQuery);

    /**
     * 查询批次管理列表
     */
    List<QsBatchVo> queryList(QsBatchBo bo);

    /**
     * 新增批次管理
     */
    Boolean insertByBo(QsBatchBo bo);

    /**
     * 修改批次管理
     */
    Boolean updateByBo(QsBatchBo bo);

    /**
     * 校验并批量删除批次管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 获取规批次列表
     *
     */
    List<QsBatch> selectBatchList(QsBatch entity);
}
